function mostrar_horario(){

    var grado=get('g_id1');
    var curso=get('c_id1');
    var dia=get('p_id1');
//    var asignatura=get('a_id1');
    document.getElementById('laborac').innerHTML='';


    var parametros = {"accion":'tabla',"grado":grado,"curso":curso,"dia":dia};
                $.ajax({
                data:  parametros,
                url:"app/model/insertar_horario.php",
                type: "POST",
            success: function(res){
                document.getElementById('laborac').innerHTML=res;
           }})

}

//------------------------------------------------------------------------------

function mostrar_asignatura(id1,id2,tabla,ancho, alto){

    var g=document.getElementById('g_id1').value;
    var c=document.getElementById('c_id1').value;

    if (g==""){
        alert("INGRESE GRADO");
        exit;
    }

    if (c==""){
        alert("INGRESE CURSO");
        exit;
    }


  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });


   var parametros = {"accion":'listado_asignatura',"tabla":tabla,"id1":id1,"id2":id2,"grado":g,"curso":c};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){$("#dialog").html(opciones);
                }
            })
}


//----------------------------------------------


function mostrargrad(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listadograd',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    $("#dialog").html(opciones);
                    
                }
            })
}

function mostrardia(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto

  });
   var parametros = {"accion":'listadodia',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    $("#dialog").html(opciones);
                     
            }})

}

function mostrarcurso(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });

var id=get("g_id1");
    if(id=='')
        {
            alert("Ingrese Grado")
            exit();
        }else{
            
   var parametros = {"accion":'listacurso',"grado":id,"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogos.php",
                    type: "POST",
                success: function(opciones){
                    
                    if(opciones=='no'){
                         alert ('No Existen Registros Ingrese Otro Grado');
                               document.getElementById(id1).value='';
                               document.getElementById(id2).value='';
                               document.getElementById(id1).focus();
                    }else{
                        $("#dialog").html(opciones);

                    }
                }
            })
    }
}

//-------------------------------------------------------


function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });
    mostrar_horario();
}

//-------------------------------------------------------


function mostrar_lista_asig(id1,id2,codigo,nombre,i_h){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;
    document.getElementById('i_h').value=i_h;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

}

//-------------------------------------------------------
function mostrar_listagrad(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });

    document.getElementById('c_id1').value='';
    document.getElementById('c_id2').value='';

    mostrar_horario();

}
//--------------------------------------------------------

function limpiar(id1,id2){

    if (document.getElementById(id1).value==''){
        document.getElementById(id2).value='';
    }

}

